use crate::{physics::Cartesian, Camera, Sprite};
pub struct Doodad {
	pub sprite: String,
	pub pos: Cartesian,
}

impl Doodad {
	pub fn sprite(&self, camera: &Camera) -> Sprite {
		let p = self.pos - camera.pos;

		return Sprite {
			position: (p.x, p.y),
			name: self.sprite.clone(),
			angle: 0.0,
		};
	}
}
